<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes">

    <!-- See https://goo.gl/OOhYW5 -->
    <link rel="manifest" href="./manifest.json">
    <meta name="theme-color" content="#2f2f2f">

    <title>VIRT Filter Data</title>
    <meta name="description" content="Video Information Refinement Tool - Filter Data">
    <link rel="icon" href="./images/node-blue.ico">

    <!-- OPTIONAL: Normalize is used to make things the same across browsers. Index is for your styles -->
    <link rel="stylesheet" href="./vendor/normalize.css/normalize.css">

    <!-- JQuery -->
    <script src="./vendor/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
    <script src="bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- D3 js -->
    <script src="js/plugins/d3.js"></script>

    <link rel="stylesheet" href="./css/main.css">
    <!--<link rel="stylesheet" href="./index.css">-->
</head>

<body>

    <!-- menu bar -->
    <nav class="navbar bg-dark navbar-dark navbar-expand-sm menu-bar">
        <div class="navbar-nav">
    
            <a class="nav-item nav-link" href="#">File</a>
            <a class="nav-item nav-link" href="#">Edit</a>
            <a class="nav-item nav-link" href="#debug" data-toggle="modal">Debug</a>
            <a class="nav-item nav-link" href="login.html">Log Out</a>
    
        </div>
    
        <span class="navbar-brand ml-auto">CANSOFCOM VIRT</span>
    </nav> <!-- menu bar -->

    <!-- loading modal -->
    <div class="modal" id="loading-modal">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content bg-dark text-center">
    
                <div class="modal-body">
                    <h5 class="modal-title">Loading Content</h5>
                    <br>
                    <div class="spinner-border text-light" role="status"></div>
                </div>
    
            </div>
        </div>
    </div> <!-- loading modal -->
    
    <div class="container-fluid">
    
        <div class="row">
            
            <!-- filter pane -->
            <div class="col-3 screen-search">
                <!-- filter options -->
                <div class="mt-2">
                    <!-- filter options form -->
                    <form>
                    
                        <!-- date selection -->
                        <div class="form-group row">
                    
                            <div class="form-group col-12">
                                <label class="form-control-label" for="date-start">Start Date</label>
                                <input class="form-control" type="datetime-local" id="date-start">
                            </div>
                    
                            <div class="form-group col-12">
                                <label class="form-control-label" for="date-end">End Date</label>
                                <input class="form-control" type="datetime-local" id="date-end">
                            </div>
                    
                        </div> <!-- date selection -->
                    
                        <!-- tag selection -->
                        <div class="form-group row collapse show" id="tags">
                    
                            <!-- Event ID selection -->
                            <div class="col-6" id="eventCheckboxes">
                    
                                <h6>Event IDs</h6>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID01">
                                    <label class="custom-control-label" for="eventID01">Event ID 01</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID02">
                                    <label class="custom-control-label" for="eventID02">Event ID 02</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID03">
                                    <label class="custom-control-label" for="eventID03">Event ID 03</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID04">
                                    <label class="custom-control-label" for="eventID04">Event ID 04</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID05">
                                    <label class="custom-control-label" for="eventID05">Event ID 05</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID06">
                                    <label class="custom-control-label" for="eventID06">Event ID 06</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID07">
                                    <label class="custom-control-label" for="eventID07">Event ID 07</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID08">
                                    <label class="custom-control-label" for="eventID08">Event ID 08</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID09">
                                    <label class="custom-control-label" for="eventID09">Event ID 09</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID10">
                                    <label class="custom-control-label" for="eventID10">Event ID 10</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID11">
                                    <label class="custom-control-label" for="eventID11">Event ID 11</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="eventID12">
                                    <label class="custom-control-label" for="eventID12">Event ID 12</label>
                                </div>
                    
                            </div> <!-- Event ID selection -->
                    
                            <!-- Object ID selection -->
                            <div class="col-6" id="objectCheckboxes">
                    
                                <h6>Object IDs</h6>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="objectID01">
                                    <label class="custom-control-label" for="objectID01">Object ID 01</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="objectID02">
                                    <label class="custom-control-label" for="objectID02">Object ID 02</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="objectID03">
                                    <label class="custom-control-label" for="objectID03">Object ID 03</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="objectID04">
                                    <label class="custom-control-label" for="objectID04">Object ID 04</label>
                                </div>
                    
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="objectID05">
                                    <label class="custom-control-label" for="objectID05">Object ID 05</label>
                                </div>
                    
                            </div> <!-- Object ID selection -->
                    
                        </div> <!-- tag selection -->
                    
                        <!-- buttons -->
                        <div class="form-group row justify-content-center">
                    
                            <button class="btn btn-secondary" type="button" id="filterButton" onclick='sendFilterQuery()'>Filter</button>
                    
                        </div> <!-- buttons -->
                    
                    </form> <!-- filter options form -->
                </div> <!-- filter options -->

                <div class="alert alert-danger" role="alert" id="no-results">
                    no items matching filter query
                </div>
                <div class="alert alert-danger" role="alert" id="no-date">
                    date required to filter
                </div>
                
                <!-- results list group -->
                <div class="list-group" id="results-list">
                </div> <!-- results list group -->
    
            </div> <!-- filter pane -->
    
            <!-- visualizers pane -->
            <div class="col-9 p-0 m-0" style="overflow: hidden">
                
                <div class="row vis-graph p-0 m-0">
                    <div class="col-12 p-0 m-0">
                        <div id="obj-legend"></div>
                        <div id="graph">
                            <div class="graph-tooltip p-2" style="visibility: hidden;">
                                <span id="tt-date">date here</span> <br>
                                <!-- Videos: <span id="tt-video"></span> <br> -->
                                Objects: <br>
                                <span id="tt-objs"></span> <br>
                                Events: <br>
                                <span id="tt-events"></span> <br>
                            </div>
                        </div>
                    </div>
                </div> 

                <div class="row p-0 m-0">
                    <div class="col-12 vis-map p-0 m-0">
                        <iframe class="w-100 h-100" src="../worldmap/" frameborder="0"></iframe>
                    </div>
                </div>

            </div> <!-- visualizers pane -->
    
        </div> <!-- row -->
    
    </div> <!-- main container -->

    <!-- debug modal -->
    <div class="modal frontend-console" id="debug">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content bg-dark">

                <div class="modal-header">
                    <h5 class="modal-title">Debug Console</h5>
                </div>

                <div class="modal-body modal-dialog-scrollable">
                    <pre><code id="debug-output">debug text here</code></pre>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>

            </div>
        </div>
    </div> <!-- debug modal -->

    <!-- These MUST be in the right order. Note no leading / -->
    <!-- REQUIRED: Socket.IO is loaded only once for all instances, Without this, you don't get a websocket connection -->
    <script src="/uibuilder/socket.io/socket.io.js"></script>
    <!-- Note no leading / -->

    <!-- OPTIONAL: JQuery can be removed if not required (on some installations you have to remove `dist/` -->
    <script src="./vendor/jquery/dist/jquery.min.js"></script>
    
    <script src="bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- JQuery plugins -->
    <script src="js/plugins/jquery.loadTemplate.js"></script>

    <!-- REQUIRED: Sets up Socket listeners and the msg object -->
    <script src="./uibuilderfe.min.js"></script>

    <!-- OPTIONAL: You probably want this. Put your custom code here -->

    <!-- Main Logic -->
    <script src="js/filter-logic.js"></script>

    <!-- Visualizer Logic -->
    <script src="js/vis-graph.js"></script>

    <!-- Frontend Console -->
    <script src="js/debug-console.js"></script>
    
    <!--<script src="./index.js"></script>-->
</body>

</html>